summaryrefslogtreecommitdiff
path: root/include/init.sh
diff options
context:
space:
mode:
authorLeah Rowe <leah@libreboot.org>2025-05-18 11:21:30 +0100
committerLeah Rowe <leah@libreboot.org>2025-05-18 11:21:30 +0100
commite05a18d35131acd2007afc56aa07a321f6f2dfdb (patch)
treefe3172a811fe30439c22418cb7e1c6353974c2c6 /include/init.sh
parentcde3b7051e4c9276a35f608e7709e3a7e480b01e (diff)
init.sh: check the lock file BEFORE git init
this way, initialisation will not be performed erroneously while another parent instance of lbmk is running. Signed-off-by: Leah Rowe <leah@libreboot.org>
Diffstat (limited to 'include/init.sh')
-rw-r--r--include/init.sh16
1 files changed, 8 insertions, 8 deletions
diff --git a/include/init.sh b/include/init.sh
index 60dd3dd9..807174a8 100644
--- a/include/init.sh
+++ b/include/init.sh
@@ -31,8 +31,8 @@ xbmk_init()
id -u 1>/dev/null 2>/dev/null || err "suid check failed (id -u)"
[ "$(id -u)" != "0" ] || err "this command as root is not permitted"
- for init_cmd in set_pyver set_version set_env git_init create_tmpdir \
- lock create_pathdirs child_exec; do
+ for init_cmd in set_pyver set_version set_env lock git_init \
+ create_tmpdir create_pathdirs child_exec; do
xbmk_$init_cmd "$@" || break
done
}
@@ -159,6 +159,12 @@ xbmk_set_env()
xbmktmp="$TMPDIR"
}
+xbmk_lock()
+{
+ [ -f "$xbmklock" ] && err "'$xbmklock' exists. Is a build running?"
+ touch "$xbmklock" || err "cannot create '$xbmklock'"; :
+}
+
xbmk_git_init()
{
for gitarg in "--global user.name" "--global user.email"; do
@@ -187,12 +193,6 @@ xbmk_create_tmpdir()
remkdir "$xbmktmp" "$xbmklocal"
}
-xbmk_lock()
-{
- [ -f "$xbmklock" ] && err "'$xbmklock' exists. Is a build running?"
- touch "$xbmklock" || err "cannot create '$xbmklock'"; :
-}
-
xbmk_create_pathdirs()
{
remkdir "$XBMK_CACHE/gnupath" "$XBMK_CACHE/xbmkpath"